// vim: set tw=80 ts=4 sw=4 sts=4:
/*
    This file is part of Accountant.

    Accountant is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Accountant is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with Accountant.  If not, see <http://www.gnu.org/licenses/>.
 */
/* jshint node: true */
'use strict';

import * as angular from 'angular';

import {
    downgradeInjectable,
    downgradeComponent
} from '@angular/upgrade/static';

import { ToastrService } from 'ngx-toastr';

var ngResource       = require('angular-resource'),
    ngStrap          = require('angular-strap');

var categoryChartModule = require('./category-chart.component');

import accountModule from '@accountant/accounts';

import { BalanceChartComponent } from './balanceChart.component';

var OperationFactory = require('./operation.factory');
var OperationController = require('./operation.controller');

export default angular.module('accountant.operations', [
    ngResource,
    ngStrap,
    accountModule,
    categoryChartModule
])

    .factory('toastrService', downgradeInjectable(ToastrService))

    .factory('Operation', OperationFactory)

    .controller('OperationController', OperationController)

    .directive('balanceChart', downgradeComponent({
        component: BalanceChartComponent
    }) as angular.IDirectiveFactory)

    .name;
